View Issue Details

IDProjectCategoryView StatusLast Update
0038546LazarusIDEpublic2021-03-18 14:44
ReporterMartin Friebe Assigned ToMartin Friebe  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform64bit IntelOSwin 10 
Product Version2.0.12 
Target Version2.2Fixed in Version2.2 
Summary0038546: (64bit ?) fpdebug causes permission errors when 32bit debuggee launches 64bit process
DescriptionSee https://forum.lazarus.freepascal.org/index.php/topic,51310.msg395635.html#msg395635


File: components\fpdebug\fpdbgwinclasses.pas
Line: 650 in TDbgWinProcess.StartInstance

        AProcess.Options:=[poDebugProcess, poNewProcessGroup];

works with poDebugOnlyThisProcess

------------
Happens in a
- 64bit IDE / 64bit FpDebug (? to be verified)
- cross debugging a 32 bit target
- target launches 64 bit process
TagsNo tags attached.
Fixed in Revision64779
LazTarget2.2
WidgetsetWin32/Win64
Attached Files

Activities

Martin Friebe

2021-03-10 19:39

manager   ~0129558

Changed the flags, to minimize interference.

Issue History

Date Modified Username Field Change
2021-02-26 15:15 Martin Friebe New Issue
2021-02-26 15:15 Martin Friebe Status new => assigned
2021-02-26 15:15 Martin Friebe Assigned To => Martin Friebe
2021-02-26 15:55 Martin Friebe Target Version => 2.2
2021-02-26 15:55 Martin Friebe LazTarget => 2.2
2021-03-10 19:39 Martin Friebe Status assigned => resolved
2021-03-10 19:39 Martin Friebe Resolution open => fixed
2021-03-10 19:39 Martin Friebe Fixed in Version => 2.2
2021-03-10 19:39 Martin Friebe Fixed in Revision => 64779
2021-03-10 19:39 Martin Friebe Widgetset => Win32/Win64
2021-03-10 19:39 Martin Friebe Note Added: 0129558